class BootstrapGenerator < Rails::Generators::NamedBase
  source_root File.expand_path('../templates', __FILE__)
  argument :assets, :type => :string, :default => "install"
  class_option :bootstrap, :type => :boolean, :default => false, :description => "Copy Local Default Twitter Bootstrap Files..."  
  
  def generate_assets
      # copy twitter bootstrap javascript files
      copy_file "9999-bootstrap-behaviors.js", "app/assets/javascripts/9999-bootstrap-behaviors.js" if options.bootstrap?
      copy_file "9990-bootstrap-alerts.js", "app/assets/javascripts/bootstrap/9990-bootstrap-alerts.js" if options.bootstrap?
      copy_file "9990-bootstrap-buttons.js", "app/assets/javascripts/bootstrap/9990-bootstrap-buttons.js" if options.bootstrap?
      copy_file "9990-bootstrap-dropdown.js", "app/assets/javascripts/bootstrap/9990-bootstrap-dropdown.js" if options.bootstrap?
      copy_file "9990-bootstrap-modal.js", "app/assets/javascripts/bootstrap/9990-bootstrap-modal.js" if options.bootstrap?
      copy_file "9990-bootstrap-popover.js", "app/assets/javascripts/bootstrap/9990-bootstrap-popover.js" if options.bootstrap?
      copy_file "9990-bootstrap-tabs.js", "app/assets/javascripts/bootstrap/9990-bootstrap-tabs.js" if options.bootstrap?
      copy_file "9990-bootstrap-twipsy.js", "app/assets/javascripts/bootstrap/9990-bootstrap-twipsy.js" if options.bootstrap?
      copy_file "9990-jquery-tablesorter.js", "app/assets/javascripts/bootstrap/9990-jquery-tablesorter.js" if options.bootstrap?
	  # copy twitter bootstrap stylesheets files
      copy_file "9990-bootstrap.css", "app/assets/stylesheets/bootstrap/9990-bootstrap.css" if options.bootstrap?
  end  
  
end
